/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 01-11-2022
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* link     -> https://codepen.io/andrew_mykhalchuk/pen/mozMPZ */
/* info     -> time2card */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIBLES */
:root {
	--hover-bgr:hsla(210,100%,56%,1);
    
    /* cards */
    --card-front-col: rgba(0,0,0,.6); /* black, gray OR client-color */
    --card-front-bgr: #fff;
    --card-back-col: #fff;
    --card-back-bgr: #EE741D;
    --card-ibox-hgt: 14rem;         /* min-height of the card - depends of the text card-back - def 14rem */
    --card-body-bdr: 1px solid rgba(0,0,0,.05);     /* border - def 1px */
    /* grid-area */
    --grid-area-gap: 1rem;          /* gap between flipboxes - def 1rem | min .3rem - check used shadow */
    --grid-area-pad: 1rem;          /* padding - check card-border-radius - def 1rem | min .3rem */
    --grid-area-bgr: none;          /* background - def none */
    --grid-area-bdr: 0px solid rgba(0,0,0,.25);     /* border - def 0px  */
    --grid-area-rad: 0rem;          /* border-radius - def 0rem */
    /* counter - card-front */ 
    --count-color: rgb(255,255,255,1);  /* color of the counter - must be the same as card-back-background AND no transparent */
    --count-size: 2.2rem;                 /* counter size - def 4rem */
    --count-pos-top:1.4rem;                  /* counter position top - def 1rem */
    /*--count-pos-right:1rem;             /* counter position right - def 1.2rem */
    --count-pos-left:1rem;       /* counter position left - NOT IN USE */
    /*--count-pos-bottom: -70%;     /* counter position bottom - NOT IN USE */ 
    --count-width: 1px;             /* counter stroke - def 1px | max 3px */
    /* animation */
    --time-flip: 0.8s;              /* def 0.8s */
	}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 01-11-22 */
/* RESET COUNTER -> SEE design.css */
/* TIME2CARD */

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 25px 15px;
  font-family: "Gotham", sans-serif;
}

.container {
  max-width: 60vw;
  margin: 0 auto;
}

.timeline {
  margin: 50px auto;
  padding: 30px 0;
  list-style: none;
  position: relative;
}
.timeline:before {
  display: block;
  content: "";
  width: 4px;
  margin: auto;
  background-color: #ccc;
  position: absolute;
  top: 0;
  right: auto;
  bottom: 0;
  left: 25px;
  border-radius: 2px;
}
.timeline li {
  width: calc(100% - 70px);
  margin-left: auto;
  padding: 15px;
  background-color: #f1f1f1;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.25);
  transition: all 0.28s;
  position: relative;
  border: 0px solid red;
}
.timeline li:not(:last-of-type) {
  margin-bottom: 45px;
}
.timeline li .timeline_item_details {
  margin-bottom: 15px;
}
.timeline li .timeline_item_details h3 {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 56px;
  height: 56px;
  margin: 0 auto;
  background-color: orange;
  color: #fff;
  font-size: 1.2rem;
  font-weight: 100;
  border-radius: 50%;
  position: absolute;
  top: 0;
  right: calc(100% + 14px);
  left: auto;
  border: 1px solid hsl(16, 100%, 50%, .1);
}
.timeline li .timeline_item_details p {
  margin: 0;
}
.timeline li .timeline_item_image {
  text-align: center;
}
.timeline li .timeline_item_image img {
  max-width: 100%;
}

@media (min-width: 768px) {
  .timeline:before {
    right: 0;
    left: 0;
  }
  .timeline li {
    width: calc(50% - 40px);
    margin-left: 0;
  }
  .timeline li:nth-child(even) {
    margin-left: auto;
  }
  .timeline li:nth-child(even) .timeline_item_details h3 {
    left: auto;
    right: calc(100% + 12px);
  }
  .timeline li .timeline_item_details {
    margin-right: 15px;
  }
  .timeline li .timeline_item_details h3 {
    left: calc(100% + 12px);
    right: auto;
  }
  .timeline li .timeline_item_image {
    left: calc(100% + 12px);
  }
}
@media (min-width: 992px) {
  .timeline li {
    display: flex;
    flex-grow: 0;
  }
  .timeline li .timeline_item_image {
    flex-shrink: 0;
    width: 50%;
  }
}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */	
.box-counter::before { 
	position:absolute;
  display:flex;
	top:var(--count-pos-top,1.2rem);
  /*right:var(--count-pos-right);*/
  /*bottom:var(--count-pos-bottom);*/
  left:var(--count-pos-left);
	justify-content:center;
  align-items:center;
  counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size); 
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width,1px);
	  -webkit-font-smoothing:antialiased;
	color:var(--count-color); /* must be the same color als card-back background */
    opacity:1;
	/*z-index:999;*/
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */